PACKAGE_NAME="alsa-driver-hda-intel"
PACKAGE_VERSION="20100412"
CLEAN="make clean"
AUTOINSTALL="yes"
OBSOLETE_BY="2.6.33"

#Need the chmod a+rx there as a work around for bug in dkms in 9.10
MAKE="chmod a+rx * -R; sh configure --with-cards=hda-intel,seq-dummy,virmidi,emu10k1,via82xx,usb-audio,usb-ua101,usb-usx2y,usb-caiaq,usb-us122l --with-sequencer=yes --with-kernel=/lib/modules/$kernelver/build --with-moddir=/lib/modules/$kernelver/kernel/sound --with-card-options=all > /dev/null; make -j \`cat /proc/cpuinfo |grep ^processor|wc -l\`"

BUILT_MODULE_NAME[0]="snd-pcm"
BUILT_MODULE_LOCATION[0]="acore/"
DEST_MODULE_LOCATION[0]="/updates/kernel/sound/acore/"

BUILT_MODULE_NAME[1]="snd-page-alloc"
BUILT_MODULE_LOCATION[1]="acore/"
DEST_MODULE_LOCATION[1]="/updates/kernel/sound/acore/"

BUILT_MODULE_NAME[2]="snd-hwdep"
BUILT_MODULE_LOCATION[2]="acore/"
DEST_MODULE_LOCATION[2]="/updates/kernel/sound/acore/"

BUILT_MODULE_NAME[3]="snd"
BUILT_MODULE_LOCATION[3]="acore/"
DEST_MODULE_LOCATION[3]="/updates/kernel/sound/acore/"

BUILT_MODULE_NAME[4]="snd-pcm-oss"
BUILT_MODULE_LOCATION[4]="acore/oss/"
DEST_MODULE_LOCATION[4]="/updates/kernel/sound/acore/oss/"

BUILT_MODULE_NAME[5]="snd-mixer-oss"
BUILT_MODULE_LOCATION[5]="acore/oss/"
DEST_MODULE_LOCATION[5]="/updates/kernel/sound/acore/oss/"

BUILT_MODULE_NAME[6]="snd-rawmidi"
BUILT_MODULE_LOCATION[6]="acore/"
DEST_MODULE_LOCATION[6]="/updates/kernel/sound/acore/"

BUILT_MODULE_NAME[7]="snd-timer"
BUILT_MODULE_LOCATION[7]="acore/"
DEST_MODULE_LOCATION[7]="/updates/kernel/sound/acore/"

BUILT_MODULE_NAME[8]="snd-seq-midi-emul"
BUILT_MODULE_LOCATION[8]="acore/seq/"
DEST_MODULE_LOCATION[8]="/updates/kernel/sound/acore/seq/"

BUILT_MODULE_NAME[9]="snd-seq-virmidi"
BUILT_MODULE_LOCATION[9]="acore/seq/"
DEST_MODULE_LOCATION[9]="/updates/kernel/sound/acore/seq/"

BUILT_MODULE_NAME[10]="snd-seq-oss"
BUILT_MODULE_LOCATION[10]="acore/seq/oss/"
DEST_MODULE_LOCATION[10]="/updates/kernel/sound/acore/seq/oss/"

BUILT_MODULE_NAME[11]="snd-seq-device"
BUILT_MODULE_LOCATION[11]="acore/seq/"
DEST_MODULE_LOCATION[11]="/updates/kernel/sound/acore/seq/"

BUILT_MODULE_NAME[12]="snd-seq-dummy"
BUILT_MODULE_LOCATION[12]="acore/seq/"
DEST_MODULE_LOCATION[12]="/updates/kernel/sound/acore/seq/"

BUILT_MODULE_NAME[13]="snd-seq-midi"
BUILT_MODULE_LOCATION[13]="acore/seq/"
DEST_MODULE_LOCATION[13]="/updates/kernel/sound/acore/seq/"

BUILT_MODULE_NAME[14]="snd-seq-midi-event"
BUILT_MODULE_LOCATION[14]="acore/seq/"
DEST_MODULE_LOCATION[14]="/updates/kernel/sound/acore/seq/"

BUILT_MODULE_NAME[15]="snd-seq"
BUILT_MODULE_LOCATION[15]="acore/seq/"
DEST_MODULE_LOCATION[15]="/updates/kernel/sound/acore/seq/"

BUILT_MODULE_NAME[16]="snd-util-mem"
BUILT_MODULE_LOCATION[16]="synth/"
DEST_MODULE_LOCATION[16]="/updates/kernel/sound/synth/"

BUILT_MODULE_NAME[17]="snd-emux-synth"
BUILT_MODULE_LOCATION[17]="synth/emux/"
DEST_MODULE_LOCATION[17]="/updates/kernel/sound/synth/emux/"

BUILT_MODULE_NAME[18]="snd-mpu401-uart"
BUILT_MODULE_LOCATION[18]="drivers/mpu401/"
DEST_MODULE_LOCATION[18]="/updates/kernel/sound/drivers/mpu401/"

BUILT_MODULE_NAME[19]="snd-virmidi"
BUILT_MODULE_LOCATION[19]="drivers/"
DEST_MODULE_LOCATION[19]="/updates/kernel/sound/drivers/"

BUILT_MODULE_NAME[20]="ac97_bus"
BUILT_MODULE_LOCATION[20]="misc/"
DEST_MODULE_LOCATION[20]="/updates/kernel/sound/misc/"

BUILT_MODULE_NAME[21]="snd-ac97-codec"
BUILT_MODULE_LOCATION[21]="pci/ac97/"
DEST_MODULE_LOCATION[21]="/updates/kernel/sound/pci/ac97/"

BUILT_MODULE_NAME[22]="snd-hda-codec"
BUILT_MODULE_LOCATION[22]="pci/hda/"
DEST_MODULE_LOCATION[22]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[23]="snd-hda-codec-cirrus"
BUILT_MODULE_LOCATION[23]="pci/hda/"
DEST_MODULE_LOCATION[23]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[24]="snd-hda-codec-idt"
BUILT_MODULE_LOCATION[24]="pci/hda/"
DEST_MODULE_LOCATION[24]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[25]="snd-hda-codec-atihdmi"
BUILT_MODULE_LOCATION[25]="pci/hda/"
DEST_MODULE_LOCATION[25]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[26]="snd-hda-codec-via"
BUILT_MODULE_LOCATION[26]="pci/hda/"
DEST_MODULE_LOCATION[26]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[27]="snd-hda-codec-analog"
BUILT_MODULE_LOCATION[27]="pci/hda/"
DEST_MODULE_LOCATION[27]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[28]="snd-hda-codec-si3054"
BUILT_MODULE_LOCATION[28]="pci/hda/"
DEST_MODULE_LOCATION[28]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[29]="snd-hda-codec-cmedia"
BUILT_MODULE_LOCATION[29]="pci/hda/"
DEST_MODULE_LOCATION[29]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[30]="snd-hda-codec-ca0110"
BUILT_MODULE_LOCATION[30]="pci/hda/"
DEST_MODULE_LOCATION[30]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[31]="snd-hda-codec-intelhdmi"
BUILT_MODULE_LOCATION[31]="pci/hda/"
DEST_MODULE_LOCATION[31]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[32]="snd-hda-codec-realtek"
BUILT_MODULE_LOCATION[32]="pci/hda/"
DEST_MODULE_LOCATION[32]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[33]="snd-hda-codec-nvhdmi"
BUILT_MODULE_LOCATION[33]="pci/hda/"
DEST_MODULE_LOCATION[33]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[34]="snd-hda-intel"
BUILT_MODULE_LOCATION[34]="pci/hda/"
DEST_MODULE_LOCATION[34]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[35]="snd-hda-codec-conexant"
BUILT_MODULE_LOCATION[35]="pci/hda/"
DEST_MODULE_LOCATION[35]="/updates/kernel/sound/pci/hda/"

BUILT_MODULE_NAME[36]="snd-via82xx"
BUILT_MODULE_LOCATION[36]="pci/"
DEST_MODULE_LOCATION[36]="/updates/kernel/sound/pci/"

BUILT_MODULE_NAME[37]="snd-emu10k1"
BUILT_MODULE_LOCATION[37]="pci/emu10k1/"
DEST_MODULE_LOCATION[37]="/updates/kernel/sound/pci/emu10k1/"

BUILT_MODULE_NAME[38]="snd-emu10k1-synth"
BUILT_MODULE_LOCATION[38]="pci/emu10k1/"
DEST_MODULE_LOCATION[38]="/updates/kernel/sound/pci/emu10k1/"

BUILT_MODULE_NAME[39]="snd-usbmidi-lib"
BUILT_MODULE_LOCATION[39]="usb/"
DEST_MODULE_LOCATION[39]="/updates/kernel/sound/usb/"

BUILT_MODULE_NAME[40]="snd-usb-caiaq"
BUILT_MODULE_LOCATION[40]="usb/caiaq/"
DEST_MODULE_LOCATION[40]="/updates/kernel/sound/usb/caiaq/"

BUILT_MODULE_NAME[41]="snd-usb-audio"
BUILT_MODULE_LOCATION[41]="usb/"
DEST_MODULE_LOCATION[41]="/updates/kernel/sound/usb/"

BUILT_MODULE_NAME[42]="snd-usb-us122l"
BUILT_MODULE_LOCATION[42]="usb/usx2y/"
DEST_MODULE_LOCATION[42]="/updates/kernel/sound/usb/usx2y/"

BUILT_MODULE_NAME[43]="snd-usb-usx2y"
BUILT_MODULE_LOCATION[43]="usb/usx2y/"
DEST_MODULE_LOCATION[43]="/updates/kernel/sound/usb/usx2y/"

